#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts "みなさんは計算は得意ですか??"
puts "このプログラムの題名は…「120より小さい計算の答えの番号をあてろ!」だよ!"
puts "みんなは何問正解するかな??"
puts "Ready…"
puts "start!"

puts "第一問"
puts "制限時間は5秒"
puts "1.42×3"
puts "2.15×8"
sleep (5)
puts "1か2のどちらかで答えてね"
while true
puts "答えを入力:"
kotae = gets.chomp.to_i
if kotae == 1
puts "ブブー!不正解…。ちなみにこの計算の答えは[126]だよ!"
puts "次は正解しよう!"
break
elsif kotae == 2
puts "ピンポーン! 正解!!。ちなみにこの計算の答えは[120]だよ!"
puts "次も正解しよう!"
break
else
puts "1か2で答えてください"
redo
end
end

sleep (2)
puts "第二問"
puts "制限時間は5秒"
puts "1.75×2"
puts "2.777÷8"
sleep (5)
puts "1か2のどちらかで答えてね"
while true
puts "答えを入力:"
kotae = gets.chomp.to_i
if kotae == 1
puts "ブブー!不正解…。ちなみにこの計算の答えは[177]だよ!"
puts "次は正解しよう!"
break
elsif kotae == 2
puts "ピンポーン! 正解!!。ちなみにこの計算の答えは[97.125]だよ!"
puts "次も正解しよう!"
break
else
puts "1日2のどちらかで答えてね"
end
end

sleep(2)
puts "第三問"
puts "制限時間は5秒"
puts "1.88+24"
puts "2.7777÷9"
sleep (5)
puts "1か2のどちらかで答えてね"
while true
puts "答えを入力:"
kotae = gets.chomp.to_i
if kotae == 2
puts "ブブー!不正解…。ちなみにこの計算の答えは[864.111…]だよ!"
puts "次は正解しよう!"
break
elsif kotae == 1
puts "ピンポーン! 正解!!。ちなみにこの計算の答えは[112]だよ!"
puts "次も正解しよう!"
break
else
puts "1か2のどちらかで答えてね"
end
end

sleep(2)
puts "第四問"
puts "制限時間は5秒"
puts "1.53×6"
puts "2.99999÷847"
sleep (5)
puts "1か2のどちらかで答えてね"
while true
puts "答えを入力:"
kotae = gets.chomp.to_i
if kotae == 1
puts "ブブー!不正解…。ちなみにこの計算の答えは[318]だよ!"
puts "次は正解しよう!"
break
elsif kotae == 2
puts "ピンポーン! 正解!!。ちなみにこの計算の答えは[118.0625…]だよ!"
puts "次も正解しよう!"
break
else
puts "1か2のどちらかで答えてね"
end
end

sleep (2)
puts "ちょっと休憩しよう"
puts "君は犬派?猫派?"
puts "1.犬"
puts "2.猫"
sleep (5)
puts "1か2のどちらかで答えてね"
while true
puts "答えを入力:"
kotae = gets.chomp.to_i
if kotae == 1
puts "犬はモフモフだね。有名な犬の種類はトイ・プードルとかだね。"
puts "また問題をといていくよ!"
break
elsif kotae == 2
puts "猫は好きな人が多いね。有名な猫の種類はスコティッシュ・フォールドとかだね。"
puts "また問題を問いていくよ!"
break
else
puts "1か2のどちらかで答えてね"
puts "もしかしてどっちはでもなかった…??"
puts "でもどっちかでこたえてね(´-﹏-`；)"
end
end

sleep(2)
puts "第五問"
puts "制限時間は5秒"
puts "1."
puts "2.99999÷847"
sleep (5)
puts "1か2のどちらかで答えてね"
while true
puts "答えを入力:"
kotae = gets.chomp.to_i
if kotae == 1
puts "ブブー!不正解…。ちなみにこの計算の答えは[318]だよ!"
puts "次は正解しよう!"
break
elsif kotae == 2
puts "ピンポーン! 正解!!。ちなみにこの計算の答えは[118.0625…]だよ!"
puts "次も正解しよう!"
break
else
puts "1か2のどちらかで答えてね"
end
end
